#include "ParticlesScene.h"

USING_NS_CC;

Scene* ParticlesScene::createScene()
{
    return ParticlesScene::create();
}

// on "init" you need to initialize your instance
bool ParticlesScene::init()
{
    //////////////////////////////
    // 1. super init first
    if ( !Scene::init() )
    {
        return false;
    }

    auto visibleSize = Director::getInstance()->getVisibleSize();
    Vec2 origin = Director::getInstance()->getVisibleOrigin();
    
    float x = origin.x + visibleSize.width * 0.5;
    float y = origin.y + visibleSize.height * 0.5;
    
    ParticleSystemQuad* emitter = ParticleSystemQuad::create("Funky.plist");
    emitter->setPosition(x, y);
    this->addChild(emitter);

    return true;
}


